## nginx 1.14.1

=== debian/changelog ===
nginx (1.14.1-1~dotdeb+http2+8.1) oldoldstable; urgency=medium

  [ Guillaume Plessis ]
  * New upstream version 1.14.1
  * Update submodules
  * Patches refresh for 1.14.1

 -- Guillaume Plessis <gui@dotdeb.org>  Thu, 08 Nov 2018 03:02:42 +0000

nginx (1.12.2-1~dotdeb+http2+8.1) oldstable; urgency=medium

  [ Guillaume Plessis ]
  * New upstream version 1.12.2

 -- Guillaume Plessis <gui@dotdeb.org>  Thu, 19 Oct 2017 23:13:00 +0000

nginx (1.12.1-1~dotdeb+http2+8.1) oldstable; urgency=high

  [ Guillaume Plessis ]
  * Imported Upstream version 1.12.1

 -- Guillaume Plessis <gui@dotdeb.org>  Thu, 20 Jul 2017 13:34:25 +0000
