## nginx 1.14.2

=== debian/changelog ===
nginx (1.14.2-1~dotdeb+8.1) oldoldstable; urgency=medium

  [ Guillaume Plessis ]
  * New upstream version 1.14.2

 -- Guillaume Plessis <gui@dotdeb.org>  Tue, 04 Dec 2018 20:03:48 +0000

nginx (1.14.1-1~dotdeb+8.1) oldoldstable; urgency=medium

  [ Guillaume Plessis ]
  * New upstream version 1.14.1
  * Update submodules
  * Patches refresh for 1.14.1

 -- Guillaume Plessis <gui@dotdeb.org>  Thu, 08 Nov 2018 03:02:42 +0000
