=== debian/control ===
--- 
+++ 
@@ -108,7 +108,7 @@
  .
  OPTIONAL HTTP MODULES: Addition, Auth Request, Charset, WebDAV, GeoIP, Gunzip,
  Gzip, Gzip Precompression, Headers, HTTP/2, HTTP Mirror, HTTP gRPC, Image Filter,
- Index, Log, Real IP, SPDY, SSI, SSL, Stream, Stub Status, Substitution, Thread Pool,
+ Index, Log, Real IP, SSI, SSL, Stream, Stub Status, Substitution, Thread Pool,
  Upstream, User ID, XSLT.
  .
  MAIL MODULES: Mail Core, Auth HTTP, Proxy, SSL, IMAP, POP3, SMTP.
@@ -152,7 +152,7 @@
  FastCGI, Map, Proxy, Rewrite.
  .
  OPTIONAL HTTP MODULES: Auth Request, Charset, Gzip, Gzip Precompression,
- Headers, HTTP/2, HTTP Mirror, HTTP gRPC, Index, Log, Real IP, SPDY, SSI, SSL,
+ Headers, HTTP/2, HTTP Mirror, HTTP gRPC, Index, Log, Real IP, SSI, SSL,
  Stub Status, Thread Pool, WebDAV, Upstream.
  .
  THIRD PARTY MODULES: Echo.
@@ -208,7 +208,7 @@
  OPTIONAL HTTP MODULES: Addition, Auth Request, Charset, WebDAV, FLV, GeoIP,
  Gunzip, Gzip, Gzip Precompression, Headers, HTTP/2, HTTP Mirror, HTTP gRPC,
  Image Filter, Index, Log, MP4, Embedded Perl, Random Index, Real IP, Secure Link,
- SPDY, SSI, SSL, Stream, Stub Status, Substitution, Thread Pool, Upstream, User ID,
+ SSI, SSL, Stream, Stub Status, Substitution, Thread Pool, Upstream, User ID,
  XSLT.
  .
  MAIL MODULES: Mail Core, Auth HTTP, Proxy, SSL, IMAP, POP3, SMTP.
@@ -296,3 +296,4 @@
  .
  Note that this module is marked experimental.
 
+Package: libnginx-mod-http-auth-pam
