=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,6 @@
 			--with-http_realip_module \
 			--with-http_auth_request_module \
 			--with-http_v2_module \
-			--with-http_spdy_module \
 			--with-http_dav_module \
 			--with-file-aio \
 			--with-threads
