## nginx 1.14.2-2+deb10u3

=== debian/changelog ===
nginx (1.14.2-2+deb10u3-dilos5) unstable; urgency=medium

  * Rebuild only

 -- DilOS Team <dilos@dilos.org>  Thu, 23 Nov 2023 19:03:49 +0300

nginx (1.14.2-2+deb10u3-dilos4) unstable; urgency=high

  * Build for DilOS.

 -- DilOS Team <dilos@dilos.org>  Wed, 06 Sep 2023 15:50:15 +0300

nginx (1.14.2-2+deb10u3) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * bugfix: prevented request smuggling in the ngx.location.capture API
    (CVE-2020-11724) (Closes: #964950)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 24 Aug 2020 12:18:43 +0200

nginx (1.14.2-2+deb10u2) buster; urgency=medium

  * Handle CVE-2019-20372, error page request smuggling
    (Closes: #948579)

 -- Christos Trochalakis <ctrochalakis@debian.org>  Sat, 11 Jan 2020 09:28:05 +0200

nginx (1.14.2-2+deb10u1) buster-security; urgency=high

  * Backport upstream fixes for 3 CVEs (Closes: #935037)
    Those fixes affect Nginx HTTP/2 implementation, which might cause
    excessive memory consumption and CPU usage.
    (CVE-2019-9511, CVE-2019-9513, CVE-2019-9516).

 -- Christos Trochalakis <ctrochalakis@debian.org>  Tue, 13 Aug 2019 21:10:28 +0300

nginx (1.14.2-2) unstable; urgency=medium

  [ Kartik Mistry ]
  * po/tr.po:
    + Added Turkish translation. Thanks Atila KOÇ <koc@artielektronik.com.tr>
      (Closes: #915728)

  [ Christos Trochalakis ]
  * http-dav-ext: Upgrade to 3.0.0 (Closes: #851651)
  * Use a minimal export of the upstream signing key
  * Bump Standards-Version, no changes needed

 -- Christos Trochalakis <ctrochalakis@debian.org>  Thu, 27 Dec 2018 12:49:34 +0200

nginx (1.14.2-1) unstable; urgency=medium

  [ Olaf van der Spek ]
  * Reference PHP 7.3 (Closes: 913250)

  [ Christos Trochalakis ]
  * Adjust fastcgi_split_path_info snippet to handle the `/example.php/` case
    (Closes: #911398)

 -- Christos Trochalakis <ctrochalakis@debian.org>  Thu, 13 Dec 2018 10:05:37 +0200

nginx (1.14.1-1) unstable; urgency=medium

  [ Kartik Mistry ]
  * Removed unused lintian override.
  * Fixed trailing whitespaces in changelog.

  [ Christos Trochalakis ]
  * New upstream version. (Closes: #913090)
    + CVE-2018-16843 Excessive memory usage in HTTP/2
    + CVE-2018-16844 Excessive CPU usage in HTTP/2
    + CVE-2018-16845 Memory disclosure in the ngx_http_mp4_module

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 07 Nov 2018 07:16:00 +0200

nginx (1.14.0-1) unstable; urgency=medium

  [ Kartik Mistry ]
  * debian/control:
    + Removed duplicate Build-Depends.
    + Use https in Homepage.

  [ Christos Trochalakis ]
  * http-lua: Upgrade to 0.10.13
  * http-lua: Drop our OpenSSL patch, OpenSSL 1.1 is now supported upstream
  * http-fancyindex: Upgrade to 0.4.3
  * Order nginx after nss-lookup.target to synchronize host/network name lookups
    (Closes: #900790)
  * Merge ru translations.
    Thanks to Lev Lamberov (Closes: #883104)

 -- Christos Trochalakis <ctrochalakis@debian.org>  Fri, 31 Aug 2018 15:28:04 +0300

nginx (1.13.12-1) unstable; urgency=medium

  * New upstream version

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 11 Apr 2018 08:19:23 +0300

nginx (1.13.11-1) unstable; urgency=medium

  * New upstream version

 -- Christos Trochalakis <ctrochalakis@debian.org>  Tue, 10 Apr 2018 14:55:11 +0300
