## nginx 1.14.2.1

=== debian/changelog ===
nginx (1.14.2.1-2+security) unstable; urgency=medium

  * update

 -- Debian Nginx Maintainers <pkg-nginx-maintainers@alioth-lists.debian.net>  Fri, 18 Jun 2021 17:57:54 +0800
