## nginx 1.15.2

=== debian/changelog ===
nginx (1.15.2-0ubuntu1) cosmic; urgency=medium

  * Switch to track NGINX Mainline for 18.10 (and 19.04) releases after
    discussion with Server team members. Mainline version is 1.15.2
  * Upstream changelogs for 1.15.2 are available at 
    http://nginx.org/en/CHANGES
  * Remaining Ubuntu-specific changes:
    - debian/patches/ubuntu-branding.patch: add Ubuntu branding (refreshed)
    - d/{control,rules,nginx-core.*}: add new binary package for main,
      nginx-core, which contains only source-tarball-included modules
      and no third-party modules.
    - debian/tests/control: add nginx-core test.
    - debian/apport/source_nginx.py: Add apport hooks for additional bug
      information gathering.
    - debian/nginx-common.install: Add install rule for apport hooks.
  * Additional Ubuntu only changes (LP: #1782226):
    - d/nginx{core,light,full,extras}.postinst: Add checks for whether
      port 80 is in use or not to determine whether or not to attempt 
      starting of the NGINX service during install/upgrade.
    - d/control: Add dependencies to nginx-{core,light,full,extras} on
      `iproute2` as the postinst scripts now use `ss` to determine if
      Port 80 is open or not.

 -- Thomas Ward <teward@ubuntu.com>  Sun, 19 Aug 2018 12:16:48 -0400

nginx (1.14.0-0ubuntu2) cosmic; urgency=medium

  * debian/nginx-core.postinst: Make nginx-*.postinst use invoke-rc.d.
    (LP: #1578344)

 -- Thomas Ward <teward@ubuntu.com>  Tue, 15 May 2018 11:14:02 -0400
